<?php

 get_header();


/* Start the Loop */
while ( have_posts() ) : ?>
	<div id="hob-content">

				<?php the_post();

				$rubrique = get_taxonomy( 'hob_rubrique')->label;
				$type = get_taxonomy('hob_typecat')->label;
					

				// Conversion de la date enregistrée en BDD
				$date_conseil = strip_tags(get_the_term_list( $post->ID, 'hob_date_conseil'));
				$dt = DateTime::createFromFormat('d/m/Y', $date_conseil);

				$imgID = get_term_meta( $post->ID, 'hob_file', true ); // Obtention de l'ID du fichier lié au post
				$imageURL = wp_get_attachment_url( $imgID ); // Récupération de l'url de l'image liée à cet ID
				?>

				<?php get_template_part( 'template-parts/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) ); ?>

				<div id="term_array">
					<ul>
						<?php if ($imageURL != false) { ?>
						<li><a href="<?php echo $imageURL; ?>" target="_blank"><img class="hob_pdf" src="https://upload.wikimedia.org/wikipedia/commons/thumb/8/87/PDF_file_icon.svg/833px-PDF_file_icon.svg.png" width='40px' height='50px'></li>
						<?php } 
						
						else { ?>
							<li>
								<img class="hob_pdf" src="https://cdn.iconscout.com/icon/premium/png-256-thumb/file-error-4077353-3383647.png" width='40px' height='50px'>
								<p class="invalid_doc" style="text-align:left; color:red">Format</p>
								<p class="invalid_doc" style="text-align:left; color:red">Invalide</p>
							</li>
						<?php }
						?>
						
						<div class="flex-container">

							<a class="title" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
							<li style="font-size:18px"><strong>Rubrique: </strong><?php echo get_the_term_list( $post->ID, 'hob_rubrique', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Catégorie: </strong><?php echo get_the_term_list( $post->ID, 'hob_typecat', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Date du conseil: </strong><?php echo '<span class="hob_span_list">'. date('d/m/Y', strtotime($date_conseil)) .'</span>'; ?></li>
							<li style="font-size:18px"><strong>Numéro de registre: </strong><?php echo get_the_term_list( $post->ID, 'hob_register', '<span class="hob_span_list">', ', ', '</span>' ) ?> / Page: <?php echo get_the_term_list( $post->ID, 'hob_page', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Date de mise en ligne: </strong><span class="hob_span_date"><?php the_time('d/m/Y'); ?></span></li>

						</div>	
					</ul>
				</div>

			</div>
            <?php 
endwhile; // End of the loop.

get_footer();
